ambari-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Alejandro Fernandez (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (AMBARI-15637) If RU/EU is paused, services are restarted on the older version. EU is more complex since stopping services should use the original version.
Date Thu, 31 Mar 2016 00:49:25 GMT

     [ https://issues.apache.org/jira/browse/AMBARI-15637?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Alejandro Fernandez updated AMBARI-15637:
-----------------------------------------
    Description: 
Currently, if RU/EU is paused, then restarting services manually will use the version whose
state is CURRENT. This means that services may be restarted on the wrong version, preventing
Ambari from correctly Finalizing the upgrade.

Instead, the logic should be as follows during Upgrade:
RU: always use to_version
EU: if haven't completed the action "UPDATE_DESIRED_STACK_ID", then use the from_version,
otherwise, use the to_version.

During Downgrade, both should use the original version, which is actually the to_version column
in the upgrade table.

> If RU/EU is paused, services are restarted on the older version. EU is more complex since
stopping services should use the original version.
> --------------------------------------------------------------------------------------------------------------------------------------------
>
>                 Key: AMBARI-15637
>                 URL: https://issues.apache.org/jira/browse/AMBARI-15637
>             Project: Ambari
>          Issue Type: Bug
>          Components: ambari-server
>    Affects Versions: 2.2.2
>            Reporter: Alejandro Fernandez
>            Priority: Critical
>             Fix For: 2.2.2
>
>
> Currently, if RU/EU is paused, then restarting services manually will use the version
whose state is CURRENT. This means that services may be restarted on the wrong version, preventing
Ambari from correctly Finalizing the upgrade.
> Instead, the logic should be as follows during Upgrade:
> RU: always use to_version
> EU: if haven't completed the action "UPDATE_DESIRED_STACK_ID", then use the from_version,
otherwise, use the to_version.
> During Downgrade, both should use the original version, which is actually the to_version
column in the upgrade table.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message